# Use the official image as a parent image
FROM osrf/ros:noetic-desktop-full

####################################################################################################
# Dockerfile for ROS-NOETIC
# CONFIGURATION
#
# Create user 'name' with sudo privileges
ARG USERNAME='vscode'
ARG PASSWORD='vscode'

####################################################################################################

# Update the system
RUN apt-get update 

# Install OpenSSH Server
RUN apt-get install -y \
        # https://git-scm.com/
        git \
        # https://www.sourceware.org/gdb/
        gdb \
        # https://clang.llvm.org/extra/clang-tidy/
        clang-tidy \
        clang-format

# Random Stuff
ENV NOTVISIBLE "in users profile"
RUN echo "export VISIBLE=now" >> /etc/profile

RUN useradd -m -s /bin/bash ${USERNAME}
RUN echo "${USERNAME}:${PASSWORD}" | chpasswd
RUN usermod -aG sudo ${USERNAME}
RUN sed -i 's/#force_color_prompt=yes/force_color_prompt=yes/' /home/${USERNAME}/.bashrc
RUN echo "source /opt/ros/noetic/setup.sh" >> /home/${USERNAME}/.bashrc
RUN apt install -y ros-noetic-ros-canopen

USER $USERNAME
# Environment setup
RUN mkdir -p ~/raptor_ws/src
RUN git clone https://gitlab.com/raptors_pl/packages/raptors_packages_base/universal_robot_msg.git ~/raptor_ws/src/universal_robot_msg